/**
 * WildCAT: A Generic Framework for Context-Aware Applications.
 * Copyright (C) 2010 Bull S.A.S.
 * Copyright (C) 2010 EMN
 * Copyright (C) 2010 IRISA
 * Contact: wildcat@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * 
 * Author(s):
 * 		Mahmoud Ben Hassine (IRISA)
 *  
 */
package org.ow2.wildcat.examples.bank.util;

import org.ow2.wildcat.examples.bank.BankWContext;

/**
 * Utility class to launch the use case
 * @author Mahmoud Ben Hassine
 *
 */
public class Launcher {

	public static void main(String[] args) {
     
        /*
         * Initialize a wildcat context for the bank application
         */
		BankWContext ctx = new BankWContext();
		ctx.init();
		
        /*
         * create and show the bank GUI to allow user to perform transactions
         */
        new BankGUI("Bank").setVisible(true);

	}

}
