/**
 * WildCAT: A Generic Framework for Context-Aware Applications.
 * Copyright (C) 2010 Bull S.A.S.
 * Copyright (C) 2010 EMN
 * Copyright (C) 2010 IRISA
 * Contact: wildcat@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * 
 * Author(s):
 * 		Mahmoud Ben Hassine (IRISA)
 *  
 */
package org.ow2.wildcat.sca.intent;

/**
 * A simple bean encapsulating monitoring data to be notified to wildcat context
 * 
 * @version 1.0
 * @author Mahmoud Ben Hassine
 * 
 */
public class MonitoringData {

	private String componentName;
	private String serviceName;
	private String methodName;
	private long responseTime;
	
	public MonitoringData(String componentName, String serviceName,
			String methodName, long responseTime) {
		this.componentName = componentName;
		this.serviceName = serviceName;
		this.methodName = methodName;
		this.responseTime = responseTime;
	}

	public MonitoringData() {
	}

	public long getResponseTime() {
		return responseTime;
	}

	public void setResponseTime(long responseTime) {
		this.responseTime = responseTime;
	}

	public String getComponentName() {
		return componentName;
	}

	public void setComponentName(String componentName) {
		this.componentName = componentName;
	}

	public String getServiceName() {
		return serviceName;
	}

	public void setServiceName(String serviceName) {
		this.serviceName = serviceName;
	}

	public String getMethodName() {
		return methodName;
	}

	public void setMethodName(String methodName) {
		this.methodName = methodName;
	}

	@Override
	public String toString() {
		return "Service Event : date = " + java.util.Calendar.getInstance().getTime()
		+ " - component name = " + componentName
		+ " - service called = " + serviceName  
		+ " - method invoked = " + methodName
		+ " - response time = " + responseTime + " ms";
	}
}
