/**
 * WildCAT: A Generic Framework for Context-Aware Applications.
 * Copyright (C) 2008 Bull S.A.S.
 * Copyright (C) 2008 EMN
 * Contact: wildcat@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * Authors:
 *		- Pierre-Charles David (initial)
 *		- Nicolas Loriant
 * --------------------------------------------------------------------------
 * $Id: ContextOperationResult.java 350 2008-11-10 09:41:14Z loris $
 * --------------------------------------------------------------------------
 */
package org.ow2.wildcat.remote.dispatcher.jms;

import java.io.Serializable;

/**
 * Wrapper holding the result of a ContextOperation.
 */
public class ContextOperationResult implements Serializable {

    private static final long serialVersionUID = 4457962554488211655L;

    private long id;

    private Object result;

    /**
     * Getter
     *
     * @return the unique ID of the operation
     */
    public long getId() {
        return this.id;
    }

    /**
     * Setter
     *
     * @param id
     *            the unique ID of the operation
     */
    public void setId(final long id) {
        this.id = id;
    }

    /**
     * Getter
     *
     * @return the result of the operation
     */
    public Object getResult() {
        return this.result;
    }

    /**
     * Setter
     *
     * @param result
     *            the result of the operation
     */
    public void setResult(final Object result) {
        this.result = result;
    }

    /*
     * (non-Javadoc)
     *
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        String r = "ContextOperationResult (id: " + this.id + ", result: "
        + this.result + ")";
        return r;
    }
}
